Builds LMD projects.


Build LMD projects.

  • grunt-lmd >= 0.1.6 works with grunt 0.4
  • grunt-lmd <= 0.1.5 works with grunt 0.3

Install this grunt plugin next to your project's grunt.js gruntfile with: npm install grunt-lmd

Then add this line to your project's grunt.js gruntfile:


See also lmd/examples

Inside your grunt.js file add a section named lmd. This section specifies LMD build configuration.

This controls how this task (and its helpers) operate and should contain key:value pairs, see options below.

Relative path to the project root

LMD build name

For a full list of possible options, see LMD project documentation.

lmd: {
  build_name: {
   projectRoot: 'test/',
   build: 'test'
// project root is current 
// with mixins 
lmd: {
  build_name: 'test+ru'